﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1720E: (1 year) VER IEEE /9500+2Hd,33250
DATE:                  2017-04-13 13:34:02
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       201
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Agilent 33250A
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720E/DL1740E/DL1740EL Digital Oscilloscope
#        Service Manual, SM 701730-01E, 1st Edition, Octocber 2004
#
#  Additional Equipment Required:
#        BNC T (f-m-f)
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Dual input coupler
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         600MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         600MH                        1Vpp           LS    S  L
  1.006  33250        *                                                 S
  1.007  ENDIF

  1.008  IF           NOT(VERSIONCHECK("7.3"))
  1.009  END
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.016  HEAD         PRELIMINARY INSTRUCTIONS
  1.017  DISP         Ambient temperature: 18 °C - 28 °C.
  1.017  DISP         Relative humidity: less than 80 %.
  1.017  DISP         Warmup time: 30 minutes.

  1.018  HEAD         PRELIMINARY INSTRUCTIONS
  1.019  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.020  CALL         Sub UUT Connection GPIB

  1.021  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.022  MATH         @UUT_Model        = "DL1720E"
  1.023  MATH         @UUT_AssetNum     = UUT()

  1.024  IF           NOT(EMPTY(@UUT_AssetNum))
  1.025  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.026  ENDIF

  1.027  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.028  CALL         Sub Yokogawa DL17x0 Model Number

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

  1.036  HEAD         EQUIPMENT REQUIREMENTS
  1.037  OPBR         -z Do you want to review the list of additional
  1.037  OPBR         equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         The following additional equipment and/or
  1.039  DISP         accessories are required:
  1.039  DISP
  1.039  DISP         - BNC T (f-m-f)
  1.039  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.039  DISP         - Dual input coupler
  1.040  ENDIF

# Indicate the location of EXT TRIG IN/EXT CLOCK IN teminal for different
# models under test.
  1.041  IF           PSUBI("DL1720E:")
  1.042  MATH         S[5] = "front"
  1.043  ELSE
  1.044  MATH         S[5] = "rear"
  1.045  ENDIF

  1.046  RESET        *CLS
  1.047  IEEE2        *RST

  1.048  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.049  CALL         Sub Yokogawa DL17x0 Self Test IEEE
  1.050  CALL         Sub Yokogawa DL17x0E Line Trigger and Hold Off IEEE
  1.051  CALL         Sub Yokogawa DL17x0E Probe Compensation Output IEEE

  1.052  DISP         Connect the 9500 to the UUT as follows:
  1.052  DISP         [32] CH 1 Active Head to UUT CH 1
  1.052  DISP         [32] CH 2 Active Head to UUT CH 2

  1.053  MATH         M[1] = 1
  1.054  M9500                       CH1
  1.055  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /9500
  1.056  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500
  1.057  MATH         M[1] = 2
  1.058  M9500                       CH2
  1.059  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /9500

  1.060  MATH         M[1] = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.063  MATH         M[1] = 2
  1.064  M9500                       CH2
  1.065  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Lev Acc IEEE /9500
  1.066  JMPL         OFFSET_ACC

  1.067  LABEL        TRIG_SENSITIVITY
  1.068  MATH         M[1] = 1
  1.069  M9500                       CH1
  1.070  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.071  MATH         M[1] = 2
  1.072  M9500                       CH2
  1.073  CALL         Sub Yokogawa DL17x0E (1 yr) Trig Sens IEEE /9500
  1.074  JMPL         EXT_CLOCK_INPUT

  1.075  LABEL        OFFSET_ACC
  1.076  MATH         M[1] = 1
  1.077  M9500                       CH1
  1.078  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500
  1.079  MATH         M[1] = 2
  1.080  M9500                       CH2
  1.081  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /9500

  1.082  MATH         M[1] = 1
  1.083  M9500                       CH1
  1.084  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.085  MATH         M[1] = 2
  1.086  M9500                       CH2
  1.087  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /9500
  1.088  JMPL         TRIG_SENSITIVITY

  1.089  LABEL        EXT_TRIG_ACC
  1.090  MATH         M[1] = 1
  1.091  M9500                       CH1
  1.092  DISP         Connect a BNC T (f-m-f) to UUT CH1.
  1.092  DISP
  1.092  DISP         Connect CH1 Active Head to one side of the BNC T.
  1.092  DISP
  1.092  DISP         Connect the other side of the BNC T to UUT EXT TRIG IN
  1.092  DISP         on the front panel via a 50 Ohm feed through.
  1.093  MATH         M[1] = 1
  1.094  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Lev Acc IEEE /9500

  1.095  DISP         Connect UUT TRIG OUT on the rear panel to UUT CH2
  1.095  DISP         through a BNC cable.
  1.096  MATH         M[1] = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Yokogawa DL17x0E (1 yr) ExTrig Sens IEEE /9500
  1.099  JMPL         END

  1.100  LABEL        EXT_CLOCK_INPUT
  1.101  DISP         Connect Calibrator 9500 Ref Frequency Output on 9500
  1.101  DISP         rear panel to 33250A 10MHz IN terminal on 33250A rear
  1.101  DISP         panel via a BNC cable.
  1.101  DISP
  1.101  DISP         Connect 33250A Output on 33250A front panel to UUT EXT
  1.101  DISP         CLOCK IN terminal on UUT front panel via a 50 ohm feed
  1.101  DISP         through.
  1.102  MATH         M[1] = 1; M[2] = 2
  1.103  M9500                       CH12
  1.104  CALL         Sub Yokogawa DL17x0E (1 yr) ExClock In IEEE /9500,33250
  1.105  JMPL         EXT_TRIG_ACC

  1.106  LABEL        END
  1.107  END
